Subject: Re: Bluetooth 6LoWPAN and routing

From: Alexander Aring <[email-masked]>
Date: Thu, 24 Oct 2013 14:25:14 +0200

Hi Jukka,

On Thu, Oct 24, 2013 at 09:45:40AM +0300, Jukka Rissanen wrote:
> Hi,
> 
> I have been prototyping with BT 6LoWPAN support (using this draft
> http://tools.ietf.org/html/draft-ietf-6lowpan-btle-12 as a
> reference). I sent first version yesterday to linux-bluetooth ml
> http://thread.gmane.org/gmane.linux.bluez.kernel/39394
> 
I see you take many code from the 6lowpan ieee802154 implementation.
(Just notice you drop the original authors from there)

I have a couple of patches to fix a lot of bugs in the current 6LoWPAN
ieee802154 implementation.

Some bugs which I found:

  - Fix race conditions in fragmentation handling
  - Fix UDP compression/uncompressionm, which is completly broken
  - Fragmentation handling isn't rfc4944 compatible

And some other improvements. I see your rfc has the same issues (e.g.
fragmentation race conditions).

Currently I preparing these patches for mainlining.

But my question is:

What we do now, make a generic 6LoWPAN implementation. Or bluetooth,
ieee802154 makes his own implementation?

- Alex